#!/usr/bin/perl


#Скрипт для архивирования проекта (ренпай сборки) на отдельный жд


use strict;
use warnings;
use utf8;

binmode(STDOUT,':utf8');
binmode(STDIN,':utf8');


#Путь до директории, куда складываются архивы
my $S_ARCH_DIR_PATH = "/data/radiopulsarvn_backups/renpy_game/";


my $s_date = `date +%Y_%m_%d`;
chomp( $s_date );
my $s_path = $S_ARCH_DIR_PATH . $s_date . ".7z";

print( "Backup to file: " . $s_path . "...\n" );
#system( "tar -cvf " . $s_path . " *" );
system( "7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=off " . $s_path . " ./game/ -xr!*.rpyc" );
